| Package | Description |
|---|---|
| io.helidon.common.http |
HTTP APIs and implementations usable by both server and client side of the HTTP story.
|
| io.helidon.common.reactive |
Common reactive library for Helidon projects.
|
| io.helidon.common.reactive.valve |
Reactive utilities for Helidon projects.
|
| io.helidon.config |
Provides interfaces and classes for loading and working with immutable, tree-structured
configuration data.
|
| io.helidon.config.etcd |
Etcd configuration source.
|
| io.helidon.config.spi |
Configuration SPI that defines the behavior developers can implement to extend the config system.
|
| io.helidon.media.common |
Common classes for processing content with a specific
MediaType. |
| io.helidon.media.jsonp.common |
JSON-P media type support.
|
| io.helidon.media.jsonp.server | |
| io.helidon.security |
Security
|
| io.helidon.webserver |
Reactive web server API.
|
| Modifier and Type | Interface and Description |
|---|---|
interface |
Content
Represents an HTTP entity as a
publisher of chunks with specific
features. |
| Modifier and Type | Method and Description |
|---|---|
default CompletionStage<? extends R> |
Reader.apply(Flow.Publisher<DataChunk> publisher)
Transforms a publisher into a completion stage.
|
CompletionStage<? extends R> |
Reader.apply(Flow.Publisher<DataChunk> publisher,
Class<? super R> clazz)
Transforms a publisher into a completion stage.
|
default <T extends R> |
Reader.applyAndCast(Flow.Publisher<DataChunk> publisher,
Class<T> type)
Transforms a publisher into a completion stage.
|
| Modifier and Type | Method and Description |
|---|---|
void |
Content.registerFilter(Function<Flow.Publisher<DataChunk>,Flow.Publisher<DataChunk>> function)
Registers a filter that allows a control of the original publisher.
|
void |
Content.registerFilter(Function<Flow.Publisher<DataChunk>,Flow.Publisher<DataChunk>> function)
Registers a filter that allows a control of the original publisher.
|
| Modifier and Type | Interface and Description |
|---|---|
static interface |
Flow.Processor<T,R>
A component that acts as both a Subscriber and Publisher.
|
| Modifier and Type | Class and Description |
|---|---|
class |
OutputStreamPublisher
Output stream that
publishes any data written to it as ByteBuffer
events. |
class |
SubmissionPublisher<T>
A
Flow.Publisher that asynchronously issues submitted
(non-null) items to current subscribers until it is closed. |
| Modifier and Type | Method and Description |
|---|---|
static <T> Flow.Publisher<T> |
ReactiveStreamsAdapter.publisherToFlow(Publisher<T> publisher)
Return a
Flow.Publisher from a Publisher. |
| Modifier and Type | Method and Description |
|---|---|
static <T> reactor.core.publisher.Flux<T> |
ReactiveStreamsAdapter.publisherFromFlow(Flow.Publisher<T> publisher)
Return a
Publisher from a Flow.Publisher. |
| Modifier and Type | Method and Description |
|---|---|
default Flow.Publisher<T> |
Valve.toPublisher()
Transforms this
Valve into Flow.Publisher representation. |
| Modifier and Type | Method and Description |
|---|---|
static <T> Valve<T> |
Valves.from(Flow.Publisher<T> publisher)
Creates a
Valve instance from provided Flow.Publisher. |
| Modifier and Type | Method and Description |
|---|---|
default Flow.Publisher<Config> |
Config.changes()
Deprecated.
|
static <T> Flow.Publisher<T> |
ConfigHelper.suspendablePublisher(Flow.Publisher<T> delegatePublisher,
Runnable onFirstSubscriptionRequest,
Runnable onLastSubscriptionCancel)
Creates a
Flow.Publisher which wraps the provided one and also
supports "active" and "suspended" states. |
| Modifier and Type | Method and Description |
|---|---|
static <T> Flow.Publisher<T> |
ConfigHelper.suspendablePublisher(Flow.Publisher<T> delegatePublisher,
Runnable onFirstSubscriptionRequest,
Runnable onLastSubscriptionCancel)
Creates a
Flow.Publisher which wraps the provided one and also
supports "active" and "suspended" states. |
| Modifier and Type | Method and Description |
|---|---|
Flow.Publisher<PollingStrategy.PollingEvent> |
EtcdWatchPollingStrategy.ticks() |
| Modifier and Type | Method and Description |
|---|---|
Flow.Publisher<Optional<ConfigNode.ObjectNode>> |
AbstractConfigSource.changes()
Returns a
Flow.Publisher to which the caller can subscribe in
order to receive change notifications. |
Flow.Publisher<Optional<OverrideSource.OverrideData>> |
AbstractOverrideSource.changes() |
Flow.Publisher<Optional<T>> |
Changeable.changes()
Deprecated.
|
default Flow.Publisher<Optional<T>> |
Source.changes()
Deprecated.
|
Flow.Publisher<PollingStrategy.PollingEvent> |
PollingStrategy.ticks()
Returns a
Flow.Publisher which fires PollingStrategy.PollingEvents. |
| Modifier and Type | Class and Description |
|---|---|
class |
PublisherInputStream
An
subscriber that can subscribe to a source of ByteBuffer data chunks and then make
them available for consumption via standard blocking InputStream API. |
class |
ReadableByteChannelPublisher
Publish a channel content to a single
subscriber. |
| Modifier and Type | Method and Description |
|---|---|
static Function<byte[],Flow.Publisher<DataChunk>> |
ContentWriters.byteArrayWriter(boolean copy)
Returns a writer function for
byte[]. |
static Function<ReadableByteChannel,Flow.Publisher<DataChunk>> |
ContentWriters.byteChannelWriter()
Returns a writer function for
ReadableByteChannel. |
static Function<ReadableByteChannel,Flow.Publisher<DataChunk>> |
ContentWriters.byteChannelWriter(RetrySchema retrySchema)
Returns a writer function for
ReadableByteChannel. |
static Function<CharSequence,Flow.Publisher<DataChunk>> |
ContentWriters.charSequenceWriter(Charset charset)
Returns a writer function for
CharSequence using provided standard charset. |
| Constructor and Description |
|---|
PublisherInputStream(Flow.Publisher<DataChunk> originalPublisher)
Wraps the supplied publisher and adds a blocking
InputStream based nature. |
| Modifier and Type | Method and Description |
|---|---|
Function<JsonStructure,Flow.Publisher<DataChunk>> |
JsonProcessing.writer()
|
Function<JsonStructure,Flow.Publisher<DataChunk>> |
JsonProcessing.writer(Charset charset)
|
| Modifier and Type | Method and Description |
|---|---|
Function<JsonStructure,Flow.Publisher<DataChunk>> |
JsonSupport.writer()
|
Function<JsonStructure,Flow.Publisher<DataChunk>> |
JsonSupport.writer(Charset charset)
|
| Modifier and Type | Method and Description |
|---|---|
void |
Entity.filter(Function<Flow.Publisher<ByteBuffer>,Flow.Publisher<ByteBuffer>> filterFunction)
Call this method if your security provider needs access to entity bytes.
|
void |
Entity.filter(Function<Flow.Publisher<ByteBuffer>,Flow.Publisher<ByteBuffer>> filterFunction)
Call this method if your security provider needs access to entity bytes.
|
| Modifier and Type | Method and Description |
|---|---|
Flow.Publisher<DataChunk> |
BareRequest.bodyPublisher()
Gets the Flow Publisher that allows a subscription for request body chunks.
|
| Modifier and Type | Method and Description |
|---|---|
CompletionStage<ServerResponse> |
ServerResponse.send(Flow.Publisher<DataChunk> content)
Send a message as is without any other marshalling.
|
| Modifier and Type | Method and Description |
|---|---|
ServerResponse |
ServerResponse.registerFilter(Function<Flow.Publisher<DataChunk>,Flow.Publisher<DataChunk>> function)
Registers a provider of the new response content publisher - typically a filter.
|
ServerResponse |
ServerResponse.registerFilter(Function<Flow.Publisher<DataChunk>,Flow.Publisher<DataChunk>> function)
Registers a provider of the new response content publisher - typically a filter.
|
<T> ServerResponse |
ServerResponse.registerWriter(Class<T> type,
MediaType contentType,
Function<? extends T,Flow.Publisher<DataChunk>> function)
Registers a content writer for a given type and media type.
|
<T> ServerResponse |
ServerResponse.registerWriter(Class<T> type,
Function<T,Flow.Publisher<DataChunk>> function)
Registers a content writer for a given type.
|
<T> ServerResponse |
ServerResponse.registerWriter(Predicate<?> accept,
MediaType contentType,
Function<T,Flow.Publisher<DataChunk>> function)
Registers a content writer for all accepted contents.
|
<T> ServerResponse |
ServerResponse.registerWriter(Predicate<?> accept,
Function<T,Flow.Publisher<DataChunk>> function)
Registers a content writer for all accepted contents.
|
Copyright © 2018, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.